CURLOPT_MAIL_RCPT_ALLLOWFAILS(3)

NAME
CURLOPT_MAIL_RCPT_ALLLOWFAILS - allow RCPT TO command to fail for some recipients

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAIL_RCPT_ALLLOWFAILS,
                          long allow);

DESCRIPTION
If allow is set to 1L, allow RCPT TO command to fail for some recipients. When sending data to multiple recipients, by default curl will abort SMTP conversation if at least one of the recipients causes RCPT TO command to return an error. The default behavior can be changed by setting ignore to 1L which will make curl ignore errors and proceed with the remaining valid recipients. If all recipients trigger RCPT TO failures and this flag is specified, curl will still abort the SMTP conversation and return the error received from to the last RCPT TO command.

DEFAULT
0

PROTOCOLS
SMTP

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  struct curl_slist *list;
  /* Adding one valid and one invalid email address */
  list = curl_slist_append(NULL, "person@example.com");
  list = curl_slist_append(list, "invalidemailaddress");
  curl_easy_setopt(curl, CURLOPT_URL, "smtp://example.com/");
  curl_easy_setopt(curl, CURLOPT_MAIL_RCPT_ALLLOWFAILS, 1L);
  ret = curl_easy_perform(curl);
  curl_slist_free_all(list);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.69.0.

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_MAIL_FROM(3), CURLOPT_MAIL_RCPT(3),